| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Static Private Attributes | List of all members
GaudiKernel.GaudiHandles.PublicToolHandle Class Reference
Inheritance diagram for GaudiKernel.GaudiHandles.PublicToolHandle:
[legend]
Collaboration diagram for GaudiKernel.GaudiHandles.PublicToolHandle:
[legend]

## Public Member Functions
def | __init__ (self, toolTypeAndName='')
Public Member Functions inherited from GaudiKernel.GaudiHandles.GaudiHandle
def | __init__ (self, typeAndName)
def | __repr__ (self)
def | __str__ (self)
def | toStringProperty (self)
def | getType (self)
def | getName (self)
def | getGaudiHandle (self)
def | getFullName (self)

## Static Public Attributes
string | componentType = "AlgTool"
bool | isPublic = True
Static Public Attributes inherited from GaudiKernel.GaudiHandles.GaudiHandle
string | componentType = "Unspecified"
bool | isPublic = True

## Static Private Attributes
tuple | __slots__ = ()

## Additional Inherited Members
Public Attributes inherited from GaudiKernel.GaudiHandles.GaudiHandle
| typeAndName

## Detailed Description

Definition at line 71 of file GaudiHandles.py.

## Constructor & Destructor Documentation

def GaudiKernel.GaudiHandles.PublicToolHandle.__init__ | ( |  | self,
|  |  | toolTypeAndName = `''`
| ) |  |

Definition at line 76 of file GaudiHandles.py.

76 def __init__(self, toolTypeAndName=''):
77 GaudiHandle.__init__( self, toolTypeAndName )
78
79
GaudiKernel.GaudiHandles.PublicToolHandle.__init__
def __init__(self, toolTypeAndName='')
Definition: GaudiHandles.py:76

## Member Data Documentation

tuple GaudiKernel.GaudiHandles.PublicToolHandle.__slots__ = ()
| static private

Definition at line 72 of file GaudiHandles.py.

string GaudiKernel.GaudiHandles.PublicToolHandle.componentType = "AlgTool"
| static

Definition at line 73 of file GaudiHandles.py.

bool GaudiKernel.GaudiHandles.PublicToolHandle.isPublic = True
| static

Definition at line 74 of file GaudiHandles.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiKernel/GaudiHandles.py